<template>
  <b-row align-v="stretch" class="cardRow">
    <b-col sm="12">
      <b-card>
        <b-card-title>{{ $t("availableapplicationprofiles") }}</b-card-title>
        <APSelection
          :selected-application-profile="applicationProfile"
          :session-stored-application-profiles="
            sessionStoredApplicationProfiles
          "
          :token="token"
          @emptyApplicationProfile="emptyApplicationProfile"
          @selectApplicationProfile="selectApplicationProfile"
        />
      </b-card>
    </b-col>
  </b-row>
</template>

<script lang="ts">
import type { ApplicationProfile } from "@/types/application-profile";
import type { Dataset } from "@rdfjs/types";

import { defineComponent, type PropType } from "vue";

export default defineComponent({
  name: "HomeView",
  props: {
    applicationProfile: {
      required: true,
      type: Object as PropType<ApplicationProfile>,
    },
    definition: {
      required: true,
      type: Object as PropType<Dataset>,
    },
    interactive: {
      default: true,
      type: Boolean,
    },
    queryingApplicationProfile: {
      default: false,
      type: Boolean,
    },
    readonly: {
      default: false,
      type: Boolean,
    },
    sessionStoredApplicationProfiles: {
      required: false,
      default: 0,
      type: Number,
    },
    token: {
      default: "",
      type: String,
    },
  },
  methods: {
    emptyApplicationProfile() {
      this.$emit("emptyApplicationProfile");
    },
    selectApplicationProfile(selectedApplicationProfile: ApplicationProfile) {
      this.$emit("selectApplicationProfile", selectedApplicationProfile);
      this.$router.push({ name: "Home" });
    },
  },
});
</script>

<style scoped>
.card {
  min-height: 98%;
}
</style>
